Package org.apache.sling.scripting.sightly.impl.engine.compiled

# Class SourceIdentifier

java.lang.Object
org.apache.sling.scripting.sightly.impl.engine.compiled.SourceIdentifier

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

public class SourceIdentifier extends Object implements org.apache.sling.scripting.sightly.java.compiler.ClassInfo
Identifies a Java source file based on a `Resource`. Depending on the used constructor this class might provide the abstraction for either a Java source file generated for a HTL script or for a HTL `Resource`-based Java Use-API Object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFullyQualifiedClassName()`
`String`
`getPackageName()`
`String`
`getSimpleClassName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSimpleClassName

public String getSimpleClassName()

Specified by:
  `getSimpleClassName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

### getPackageName

public String getPackageName()

Specified by:
  `getPackageName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

### getFullyQualifiedClassName

public String getFullyQualifiedClassName()

Specified by:
  `getFullyQualifiedClassName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`